<?	session_start();
	if(!isset($_SESSION['id_admin'])){
		header("../acceso.php"); /* Si no hay sesion vamos al login.php */
	} else {

	include_once('../includes/Conexion.inc.php');
	$titulo = $_POST['titulo'];
	$Id_seccion= $_POST['Id_seccion'];
	$Texto = $_POST["editor1"];
	$Id = $_GET["Id"];
	$url = $_POST['url'];
	if (!isset($Id))
		header("location:../index.php");  
		
		if ($Id=='' && $Id_seccion!=0){
		Conectar();	
		$sql = "INSERT INTO subseccion (`Id`, `Titulo`, `Texto`, `Id_seccion`, `url`) VALUES (NULL, '$titulo', '$Texto', '$Id_seccion', '$url')";	
		mysql_query($sql);		
		$Id=mysql_insert_id();
		$nombre_seccion=$url;
		if (!$archivo=fopen("../$nombre_seccion","x+")) {
		
		$sql = "Delete from seccion "; 
		$sql.= "WHERE Id ='$Id'";
		mysql_query($sql);			
		?>
		
		<html><head>
		<script>
		if (confirm('El archivo ya existe, no se ha creado la seccion'))document.location.href='../edicion/editaseccion.php';
		
		</script>
		</head></html>
		<?
		}
			fwrite($archivo, '<? $Id=');
			fwrite ($archivo, "$Id; include_once('./subseccion.php'); ?>");	
			fclose($archivo);		
		Desconectar();
		header("location:../redirige.php?Id_subseccion=$Id");
		exit;
		}		
	else{	
	Conectar();

	$sql = "Update subseccion Set ";

	$sql = $sql .  "Texto = '$Texto', Titulo='$titulo'";
		
	$sql = $sql . " where Id = $Id";

	mysql_query($sql);

	Desconectar();
	header("location:../redirige.php?Id_subseccion=$Id");
	exit;
	}
}
?>